Page MenuHomePhabricator

Remove nbsp from Visualeditor-mwlanguagevariantcontextitem-rule-code-label
Closed, ResolvedPublic1 Story Points

Description

The current text of Visualeditor-mwlanguagevariantcontextitem-rule-code-label is Language code.

"nbsp" is hard to translate.

It would be much better to define it as non-breaking in CSS, and leave only the English text in the message, without markup.

Event Timeline

Amire80 created this task.Aug 12 2017, 2:10 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptAug 12 2017, 2:10 PM
Deskana triaged this task as Low priority.Aug 18 2017, 1:10 PM
Deskana moved this task from To Triage to Freezer on the VisualEditor board.

Change 373890 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[mediawiki/extensions/VisualEditor@master] Remove nbsp from Visualeditor-mwlanguagevariantcontextitem-rule-code-label

https://gerrit.wikimedia.org/r/373890

@Amire80 after trying the blame I noticed one potential person was @Anomie. So @Anomie could you help us with this issue while looking that the last comment here ?

Anomie removed a subscriber: Anomie.Aug 28 2017, 2:40 PM

after trying the blame I noticed one potential person was @Anomie.

You did git blame wrong. The person who added the   was @cscott in rEVEDc89a3059f84a: Context item for LanguageConverter markup.

Thanks @Anomie for the clarification.

Anomie removed a subscriber: Anomie.Aug 29 2017, 1:35 PM
Zoranzoki21 moved this task from Backlog to Doing on the good first bug board.Sep 20 2017, 2:52 PM

Change 373890 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove nbsp from Visualeditor-mwlanguagevariantcontextitem-rule-code-label

https://gerrit.wikimedia.org/r/373890

Zoranzoki21 closed this task as Resolved.Sep 20 2017, 4:22 PM
Zoranzoki21 removed a project: Patch-For-Review.
Zoranzoki21 moved this task from Doing to Done on the good first bug board.
Zoranzoki21 added a subscriber: Zoranzoki21.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 20 2017, 4:22 PM
Jdforrester-WMF set the point value for this task to 1.Sep 26 2017, 3:03 PM
Jdforrester-WMF moved this task from Freezer to TR0: Interrupt on the VisualEditor board.